Removes a skills assignment from its authorized target at the expected version so new conversations no longer inherit that pin.
DELETE
/v1/m/skills/assignments/{id}
const url = 'https://example.com/v1/m/skills/assignments/example';const options = { method: 'DELETE', headers: {'If-Match': 'example', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/v1/m/skills/assignments/example \ --header 'Authorization: Bearer <token>' \ --header 'If-Match: example'Removes a skills assignment from its authorized target at the expected version so new conversations no longer inherit that pin.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” id
required
string
Path parameter id.
Header Parameters
Section titled “ Header Parameters ” If-Match
required
string
Positive recorded version, optionally enclosed in double quotes.
X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}